package com.za.ui.servicing.order_confirm.receive_money

import android.content.Context
import android.content.Intent
import androidx.compose.runtime.Composable
import com.za.base.BaseActivity
import com.za.ext.finish

class ReceiveMoneyActivity : BaseActivity() {

    @Composable
    override fun ContentView() {
        ReceiveMoneyScreen(userOrderId = intent.getIntExtra("userOrderId", 0),
            taskId = intent.getIntExtra("taskId", 0))
    }

    companion object {
        fun goReceiveMoney(context: Context, userOrderId: Int, taskId: Int) {
            val intent = Intent(context, ReceiveMoneyActivity::class.java)
            intent.putExtra("userOrderId", userOrderId)
            intent.putExtra("taskId", taskId)
            context.startActivity(intent)
            context.finish()
        }
    }
}